#ifndef TEAM_H
#define TEAM_H

// Directions
enum{
	NORTH, SOUTH, EAST, WEST
};

// Tile types
enum{
	BEDROCK, GRASS, ROCK, IRON_ORE, TREE, BERRIES, // nature
	FOOD, WOOD, STONE, IRON, // resources
	CORPSE, DUDE, // humans
	SPAWN, WALL, ROAD, SWORD, SIGN // buildings
};

// Action types
enum{
	MOVE, ATTACK, PICK, PUT, WORK, WAIT, COMMUNICATE
};

typedef struct{
	int x;
	int y;
} t_coord;

typedef struct{
	int type;
	int dir;
	void* data;
} t_action;

int getInventory();

int getNear(int dir);

#endif